Skip to main content
POST
/
v1
/
push
/
devices
Registrar dispositivo
curl --request POST \
  --url https://api.notifique.dev/v1/push/devices \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "appId": "clxx...",
  "platform": "web",
  "subscription": {
    "endpoint": "https://...",
    "keys": {
      "p256dh": "...",
      "auth": "..."
    }
  },
  "externalUserId": "user_123"
}
'
{
  "success": true,
  "data": {
    "id": "<string>",
    "appId": "<string>",
    "platform": "<string>",
    "externalUserId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Authorization: Bearer sk_live_xxxxx

Body

application/json
appId
string
required
platform
enum<string>
required
Available options:
web,
android,
ios
subscription
object
token
string
externalUserId
string

Response

Dispositivo criado ou atualizado.

success
boolean
required
Example:

true

data
object
required